Page MenuHomePhabricator

Encoding of spaces in WDQS URLs in Firefox
Open, NormalPublic

Description

Apparently, there have been a change in Firefox regarding encoding the spaces in the URLs of the Query Service. This can cause problems when reusing these URLs.

Here are the facts we noticed so far:

  • When running a query in Firefox, the spaces are displayed as spaces in the URL bar (before, it was replaced by %20)
  • In Chromium, the string %20 replaces correctly the spaces
  • for some users (Syced, @Lucas_Werkmeister_WMDE) when they copy/paste the link from Firefox, the spaces are not replaced by %20 (causing troubles for example when inserting this link into wikicode or markdown)
  • for some other users (@Lea_Lacroix_WMDE) when I copy/paste the link, in wikicode, or in my text editor, the spaces are correctly replaced by %20.

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptMay 29 2017, 9:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Actually, I get %20 again now… perhaps Firefox changed the behavior back? (I’m on Developer Edition, currently 54.0a2 2017-04-19.)

I had exactly this problem yesterday when copying and pasting a WDQS URL from Firefox. I'm using 53.0.3.

First noticed this problem I think about 2 weeks ago. We talked about it on irc so it must be in the logs somewhere....

thiemowmde triaged this task as Normal priority.

Also discussed in: https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2017/05#Query_service_URLs

A work-around is to paste the URL into Chrome, run the query, then copy the updated URL from Chrome.

This looks annoying, but I am not sure whether we can do anything with this on our side... Should we submit a Firefox bug?

Should we submit a Firefox bug?

Please do.

Smalyshev closed this task as Resolved.Dec 14 2018, 12:48 AM
Smalyshev claimed this task.

I just checked in Firefox 64, and it seems to work fine now.

Pigsonthewing reopened this task as Open.Dec 14 2018, 12:02 PM

I have just upgraded to v64 (under win 10) and the problem persists.

Interesting... didn't happen to me on Mac. I thought they should be consistent between OSes? Maybe I did something wrong? Please re-open the upstream mozilla bug then.

Smalyshev removed Smalyshev as the assignee of this task.Jan 3 2019, 12:12 AM